- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::TiffSubIfd Class Reference

This class models a TIFF sub-directory (sub-IFD). A sub-IFD is an entry with one or more values that are pointers to IFD structures containing an IFD. The TIFF standard defines some important tags to be sub-IFDs, including the Exif and GPS tags. More...

`#include <tiffcomposite.hpp>`

Inheritance diagram for Exiv2::TiffSubIfd:

[legend]
Collaboration diagram for Exiv2::TiffSubIfd:

[legend]
List of all members.

## Public Member Functions
Creators
| TiffSubIfd (uint16_t tag, uint16_t group, uint16_t newGroup)
| Default constructor.
virtual | ~TiffSubIfd ()
| Virtual destructor.
## Friends
class | TiffReader

## Detailed Description

This class models a TIFF sub-directory (sub-IFD). A sub-IFD is an entry with one or more values that are pointers to IFD structures containing an IFD. The TIFF standard defines some important tags to be sub-IFDs, including the Exif and GPS tags.

The documentation for this class was generated from the following files:

- tiffcomposite.hpp
- tiffcomposite.cpp